Data Structures

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

C _Elm_Button_Data | Base widget smart data extended with button instance data
C _Elm_Entry_Anchor_Hover_Info | The info sent in the callback for "anchor,clicked" signals emitted by the Anchor_Hover widget
C _Elm_Entry_Anchor_Info | The info sent in the callback for the "anchor,clicked" signals emitted by entries
C _Elm_Entry_Filter_Accept_Set | Data for the elm_entry_filter_accept_set() entry filter
C _Elm_Entry_Filter_Limit_Size | Data for the elm_entry_filter_limit_size() entry filter
C _Elm_Event_Policy_Changed | Data on the event when an Elementary policy has changed
C _Elm_Gen_Item_Class | Elm_Gen_Item_Class member definitions
C _Elm_Gesture_Line_Info | Struct holds line info for user
C _Elm_Gesture_Momentum_Info | Struct holds momentum info for user x1 and y1 are not necessarily in sync x1 holds x value of x direction starting point and same holds for y1
C _Elm_Gesture_Rotate_Info | Struct holds rotation info for user
C _Elm_Gesture_Taps_Info | Struct holds taps info for user
C _Elm_Gesture_Zoom_Info | Struct holds zoom info for user
C _Elm_Image_Error | Structure associated with smart callback 'download,progress'
C _Elm_Image_Progress | Structure associated with smart callback 'download,progress'
C _Elm_Layout_Part_Alias_Description | Elementary Layout-based widgets may declare part proxies, i.e., aliases for real theme part names to expose to the API calls:
C _Elm_Layout_Smart_Data | Base widget smart data extended with layout instance data
C _Elm_Panel_Scroll_Info | Panel scroll information
C _Elm_Prefs_Item_Iface | Interface between items of the Prefs widget and the real widgets implementing them
C _Elm_Prefs_Item_Iface_Info | Convenience struct used to mass-register widgets implementing prefs items interfaces
C _Elm_Prefs_Page_Iface | Interface between pages of the Prefs widget and the real widgets implementing them
C _Elm_Prefs_Page_Iface_Info | Convenience struct used to mass-register widgets implementing prefs pages interfaces
C _Elm_Selection_Data | Structure holding the info about selected data
C _Elm_Slideshow_Item_Class | Member definitions of Elm_Slideshow_Item_Class
C _Elm_Sys_Notify_Action_Invoked | Data on event when Action Invoked is emitted
C _Elm_Sys_Notify_Notification_Closed | Data on event when Notification Closed is emitted
C _Elm_Web_Frame_Load_Error | Structure used to report load errors
C _Elm_Web_Menu | Structure describing the menu of a popup
C _Elm_Web_Menu_Item | Structure describing the items in a menu
C _Elm_Widget_Smart_Class | Base widget smart class
C _Elm_Widget_Smart_Data | Base widget smart data
C Elm_Gen_Item_Class | Gengrid or Genlist item class definition